Skip to content

List teams

GET
/api/v1/team
curl --request GET \
--url https://app.prefactorai.com/api/v1/team \
--header 'Authorization: Bearer <token>'
idempotency_key
One of:

Optional idempotency key for ensuring request idempotency

string
sorting

Sort order; a field name, optionally prefixed with - for descending (e.g. -id). Supported fields: id, name.

string

Sort order; a field name, optionally prefixed with - for descending (e.g. -id). Supported fields: id, name.

pagination[offset]
integer

Zero-based offset of the first item to return.

pagination[page_size]
integer
>= 1 <= 100

Number of items to return per page (1-100).

Success

Media typeapplication/json
object
pagination
One of:
PaginationOutput

Pagination information

object
item_count

The total number of items

integer
item_end

The index of the last item in the page (one-based)

integer
item_start

The index of the first item in the page (one-based)

integer
next_page_offset
One of:

The offset of the next page (null if last page)

integer
page_count

The total number of pages

integer
page_index

The index of the current page (one-based)

integer
page_offset

The offset of the first item in the page (zero-based)

integer
page_size

The number of items per page

integer
previous_page_offset
One of:

The offset of the previous page (null if first page)

integer
sorting
One of:
Sorting

Sorting information

object
direction

The direction to sort by

string
Allowed values: asc desc
field

The field to sort by (values depend on the type of list)

string
Allowed values: id status started_at finished_at email name external_identifier raised_at cleared_at severity last_activity_span_at
nulls

Where to place null values. auto leaves placement to the database default.

string
Allowed values: first last auto
status

Response status when the query succeeds

string
Allowed values: success
summaries

Teams visible to the caller for this account

Array<object>
Team_Summary

Summary of a team for list responses

object
agent_count

Number of agents assigned to this team

integer
id
Team_Id

A valid team ID

string
name

Team name

string
people_count

Number of people on this team

integer
type

Type of resource (always ‘team’)

string
Allowed values: team
Example
{
"pagination": {
"item_count": 200,
"item_end": 100,
"item_start": 91,
"next_page_offset": 110,
"page_count": 20,
"page_index": 10,
"page_offset": 90,
"page_size": 10,
"previous_page_offset": 80
},
"sorting": null,
"status": "success",
"summaries": [
{
"agent_count": 2,
"id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny",
"name": "Sales",
"people_count": 3,
"type": "team"
}
]
}

Error

Media typeapplication/json
One of:
object
code
string
Allowed values: bad_request bad_authtoken not_authenticated not_permitted not_implemented unknown not_found unexpected_ref_type unexpected invalid_action alert_unknown alert_already_cleared invalid_value required_value idempotency_key_already_used
message
string
status
string
Allowed values: error
Example
{
"code": "bad_request",
"status": "error"
}